Bug 176865 - [PATCH] graphics/lcdtest: OptionsNG, added license, icon, desktop entry, take maintainership
Summary: [PATCH] graphics/lcdtest: OptionsNG, added license, icon, desktop entry, take...
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Beech Rintoul
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2013-03-11 22:00 UTC by nemysis
Modified: 2013-03-12 23:00 UTC (History)
0 users

See Also:


Attachments
lcdtest-1.18_5.patch (3.00 KB, patch)
2013-03-11 22:00 UTC, nemysis
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description nemysis 2013-03-11 22:00:00 UTC
- Take maintainership

Added file(s):
- pkg-plist <-- Have used pkg-plist, because Port Options for DOCS

Makefile changed:

Port is now safe with NOPORTDOCS=yes in /etc/make.conf

+LICENSE=	GPLv3
-PLIST_FILES=	bin/lcdtest
+OPTIONS_DEFINE=	DOCS
+.include <bsd.port.options.mk>
+.if ${PORT_OPTIONS:MDOCS}
+PLIST_SUB+=	PORTDOCS=""
+.else
+PLIST_SUB+=	PORTDOCS="@comment "
+.endif

Changed and refined:
 do-install:

Generated and tested manually, tested with port test, sent with FreeBSD Port Tools 0.99_6 (mode: change, diff: ports)

portlint -A
looks fine.

port test: clean
Comment 1 Beech Rintoul freebsd_committer 2013-03-11 22:09:48 UTC
Responsible Changed
From-To: freebsd-ports-bugs->beech

I'll take it
Comment 2 dfilter service freebsd_committer 2013-03-12 22:54:53 UTC
Author: beech
Date: Tue Mar 12 22:54:45 2013
New Revision: 314006
URL: http://svnweb.freebsd.org/changeset/ports/314006

Log:
  - Makefile tweaks
  - Shorten Header
  - Bump portrevision
  - Pass maintainership to submitter
  
  PR:		ports/176865
  Submitted by:	nemysis <nemysis@gmx.ch>

Added:
  head/graphics/lcdtest/pkg-plist   (contents, props changed)
Modified:
  head/graphics/lcdtest/Makefile   (contents, props changed)
  head/graphics/lcdtest/pkg-descr   (contents, props changed)

Modified: head/graphics/lcdtest/Makefile
==============================================================================
--- head/graphics/lcdtest/Makefile	Tue Mar 12 22:46:55 2013	(r314005)
+++ head/graphics/lcdtest/Makefile	Tue Mar 12 22:54:45 2013	(r314006)
@@ -1,20 +1,17 @@
-# New ports collection makefile for:	lcdtest
-# Date created:			23 Mar 2007
-# Whom:				Eric P. Scott <eps+pbug0703@ana.com>
-#
+# Created By: Eric P. Scott <eps+pbug0703@ana.com>
 # $FreeBSD$
-#
 
 PORTNAME=	lcdtest
 PORTVERSION=	1.18
-PORTREVISION=	4
+PORTREVISION=	5
 CATEGORIES=	graphics
-MASTER_SITES=	http://www.brouhaha.com/~eric/software/lcdtest/download/ \
-		http://www.predatorlabs.net/dl/
+MASTER_SITES=	http://www.brouhaha.com/~eric/software/lcdtest/download/
 
-MAINTAINER=	ports@FreeBSD.org
+MAINTAINER=	nemysis@gmx.ch
 COMMENT=	LCD monitor test pattern generator
 
+LICENSE=	GPLv3
+
 RUN_DEPENDS=	${LOCALBASE}/lib/X11/fonts/Liberation/LiberationMono-Bold.ttf:${PORTSDIR}/x11-fonts/liberation-fonts-ttf
 
 USE_SDL=	sdl image ttf
@@ -22,13 +19,22 @@ USE_SDL=	sdl image ttf
 CFLAGS+=	-I${LOCALBASE}/include -DRELEASE=1.18
 LDFLAGS+=	-L${LOCALBASE}/lib ${PTHREAD_LIBS} -lSDL -lSDL_image -lSDL_ttf
 
-PLIST_FILES=	bin/lcdtest
 PORTDOCS=	README
 
 MAN1=	lcdtest.1
 
+OPTIONS_DEFINE=	DOCS
+
+.include <bsd.port.options.mk>
+
+.if ${PORT_OPTIONS:MDOCS}
+PLIST_SUB+=	PORTDOCS=""
+.else
+PLIST_SUB+=	PORTDOCS="@comment "
+.endif
+
 post-patch:
-	${REINPLACE_CMD} -e 's|/usr/share/fonts/liberation/|${LOCALBASE}/lib/X11/fonts/Liberation/|' \
+	@${REINPLACE_CMD} -e 's|/usr/share/fonts/liberation/|${LOCALBASE}/lib/X11/fonts/Liberation/|' \
 		${WRKSRC}/src/lcdtest.c
 
 do-build:
@@ -36,11 +42,15 @@ do-build:
 	(cd ${WRKSRC}/src && ${CC} ${LDFLAGS} -o lcdtest lcdtest.o)
 
 do-install:
-	${INSTALL_PROGRAM} ${WRKSRC}/src/lcdtest ${PREFIX}/bin
-	${INSTALL_MAN} ${WRKSRC}/man/lcdtest.1 ${PREFIX}/man/man1
-.if !defined(NOPORTDOCS)
-	${MKDIR} ${DOCSDIR}/
-	${INSTALL_DATA} ${WRKSRC}/README ${DOCSDIR}/
+	${INSTALL_PROGRAM} ${WRKSRC}/src/${PORTNAME} ${PREFIX}/bin/
+	${INSTALL_MAN} ${WRKSRC}/man/${MAN1} ${MAN1PREFIX}/man/man1/
+	${INSTALL_DATA} ${WRKSRC}/desktop/${PORTNAME}.svg ${PREFIX}/share/pixmaps/
+	@${MKDIR} ${PREFIX}/share/applications
+	${INSTALL_DATA} ${WRKSRC}/desktop/${PORTNAME}.desktop ${PREFIX}/share/applications/
+
+.if ${PORT_OPTIONS:MDOCS}
+	@${MKDIR} ${DOCSDIR}
+	${INSTALL_DATA} ${PORTDOCS:S|^|${WRKSRC}/|} ${DOCSDIR}
 .endif
 
 .include <bsd.port.mk>

Modified: head/graphics/lcdtest/pkg-descr
==============================================================================
--- head/graphics/lcdtest/pkg-descr	Tue Mar 12 22:46:55 2013	(r314005)
+++ head/graphics/lcdtest/pkg-descr	Tue Mar 12 22:54:45 2013	(r314006)
@@ -1,4 +1,4 @@
-lcdtest is a utility to display LCD monitor test patterns.  It may be
+lcdtest is a utility to display LCD monitor test patterns. It may be
 useful for adjusting the pixel clock frequency and phase on LCD
 monitors when using analog inputs, and for finding pixels that are
 stuck on or off.

Added: head/graphics/lcdtest/pkg-plist
==============================================================================
--- /dev/null	00:00:00 1970	(empty, because file is newly added)
+++ head/graphics/lcdtest/pkg-plist	Tue Mar 12 22:54:45 2013	(r314006)
@@ -0,0 +1,6 @@
+bin/lcdtest
+share/applications/lcdtest.desktop
+%%PORTDOCS%%%%DOCSDIR%%/README
+share/pixmaps/lcdtest.svg
+%%PORTDOCS%%@dirrm %%DOCSDIR%%
+@dirrmtry share/applications
_______________________________________________
svn-ports-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/svn-ports-all
To unsubscribe, send any mail to "svn-ports-all-unsubscribe@freebsd.org"
Comment 3 Beech Rintoul freebsd_committer 2013-03-12 22:55:07 UTC
State Changed
From-To: open->closed

Committed, Thanks!